メインコンテンツへスキップ
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
/
branches
/
{branch_name}
ブランチをインデックス化から削除
curl --request DELETE \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "branches": [
    "<string>"
  ],
  "indexing_enabled": true,
  "repository_path": "<string>",
  "indexing_status": {
    "indexing_enabled": true,
    "latest_completed_search_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>"
    },
    "latest_completed_wiki_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>"
    },
    "latest_indexes": [
      {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>"
      }
    ]
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

権限

組織レベルのIndexOrgRepositories権限を持つサービスユーザーが必要です。

動作

指定されたリポジトリで、特定のブランチをインデックス対象から除外します。除外後にブランチが1つも残らない場合、そのリポジトリのインデックスは自動的に無効になります。 そのブランチがインデックス対象として設定されていない場合は、404 を返します。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

repository_path
string
必須
branch_name
string
必須
org_id
string
必須

組織ID(プレフィックス: org-)

:

"org-abc123def456"

レスポンス

正常なレスポンス

branches
string[]
必須
indexing_enabled
boolean
必須
repository_path
string
必須
indexing_status
RepoIndexingStatusResponse · object | null